<script setup lang="ts">
import { ref } from 'vue';
const weight = ref(0)
const height = ref(0)
const result = ref(0)

function calBMI(){
   const m = height.value/100
   result.value=weight.value/Math.pow(m,2)
}

</script>

<template>

   <label for="weight">น้ำหนักกตัว(kg.)</label>
   <input id="weight" type="text" v-model.number="weight"><br>

   <label for="height">ส่วนสูง(cm.)</label>
   <input id="height" type="text" v-model.number="height"><br>
   <button @click="calBMI()">คำนวน</button>
   <div style="text-align: center; font-size: 25pt;">BMI = {{result.toFixed(2)}}</div>
   
   <table>
      <tr>
         <th>BMI kg/m2</th>
         <th>อยู่ในเกณท์ค</th>
         <th>ภาวะเสี่ยงต่อโรค</th>
      </tr>
      <tr :class="{act:result<0&& result<18.5? true:false}">
         <td>น้อยกว่า 18.50</td>
         <td>น้ำหนักน้อย / ผอม</td>
         <td>มากกว่าคนปกติ</td>
      </tr>
      <tr :class="{act:result>=18.50 && result<23? true:false}">
         <td>ระหว่าง 18.50 - 22.99</td>
         <td>ปกติ (สุขภาพดี)</td>
         <td>เท่าคนปกติ</td>
      </tr>
      <tr :class="{act:result>=23&& result<25? true:false}">
         <td>ระหว่าง 23 - 24.99</td>
         <td>ท้วม / โรคอ้วนระดับ 1</td>
         <td>อันตรายระดับ 1</td>
      </tr>
      <tr :class="{act:result>=25&& result<30? true:false}">
         <td>ระหว่าง 25 - 29.99</td>
         <td>อ้วน / โรคอ้วนระดับ 2</td>
         <td>อันตรายระดับ 2</td>
      </tr>
      <tr :class="{act:result>=30? true:false}">
         <td>มากกว่า 30</td>
         <td>อ้วนมาก / โรคอ้วนระดับ 3</td>
         <td>อันตรายระดับ 3</td>
      </tr>
   </table>

</template>

<style scoped>
.act{
   background-color: rgb(112, 255, 107)
}
input[type=text] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  box-sizing: border-box;
}
button{
   width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
}
table, th, td {
  border: 1px solid black;
  border-collapse: collapse;
  padding: 12px 33px;
  margin: 8px 0;
}
</style>